Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required

The id of the connection to retrieve.

Response

Retrieved connection

The connection object represents an authenticated connection to a third-party service (like Google Drive, Hubspot, Dropbox, etc.) that can be managed through the API.

object
enum<string>
required

The object type, which is always connection.

Available options:
connection
id
string
required

The connection identifier, which can be referenced in the API endpoints.

name
string
required

The name of the connection.

teamspace_id
string
required

The teamspace ID that owns this connection.

connector_id
string
required

The connector ID of the third-party service this connection authenticates with.

created_at
string<date-time>
required

The ISO string for when the connection was created.

updated_at
string<date-time>
required

The ISO string for when the connection was last updated.

valid
boolean

Whether the connection authentication is valid.

value
string

The authentication value of the connection.